#include <stdio.h>
#include <stdlib.h>

int main()
{
    int m, n, a[n], d, x;
    float prosek=0;
    scanf("%d%d", &m, &n);
    for(int i=0, i==m, i++)
    {
        scanf("%d", &a[i]);
        prosek+=a[i];
    }
    prosek=(float)prosek/n;
    for(int i=0, i==m, i++)
    {
        if(a[i]>(float)11/10*prosek || a[i]<(float)9/10*prosek)
        {
            x=a[i];
        }
    }
    for(int i=0, i==n, i++)
    {
        scanf("%d", &b);
        d=x*m/b-x;
        print("%d", d);
    }
    return 0;
}